VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceFragmentShaderBarycentricFeaturesNV (Bool32 fragmentShaderBarycentric_=0)
| PhysicalDeviceFragmentShaderBarycentricFeaturesNV (VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV const &rhs)
PhysicalDeviceFragmentShaderBarycentricFeaturesNV & | operator= (VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV const &rhs)
PhysicalDeviceFragmentShaderBarycentricFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceFragmentShaderBarycentricFeaturesNV & | setFragmentShaderBarycentric (Bool32 fragmentShaderBarycentric_)
| operator VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV const & () const
| operator VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV & ()
bool | operator== (PhysicalDeviceFragmentShaderBarycentricFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceFragmentShaderBarycentricFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | fragmentShaderBarycentric

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceFragmentShaderBarycentricFeaturesNV

## Detailed Description

Definition at line 19759 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceFragmentShaderBarycentricFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::PhysicalDeviceFragmentShaderBarycentricFeaturesNV | ( | Bool32 | fragmentShaderBarycentric_ = `0` | ) |

inline

Definition at line 19761 of file vulkan.hpp.

: fragmentShaderBarycentric( fragmentShaderBarycentric_ )
{
}

## PhysicalDeviceFragmentShaderBarycentricFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::PhysicalDeviceFragmentShaderBarycentricFeaturesNV | ( | VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV const & | rhs | ) |

inline

Definition at line 19766 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceFragmentShaderBarycentricFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::operator VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV & | ( |  | ) |

inline

Definition at line 19793 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV*>(this);
}

## operator VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::operator VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV const & | ( |  | ) | const

inline

Definition at line 19788 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::operator!= | ( | PhysicalDeviceFragmentShaderBarycentricFeaturesNV const & | rhs | ) | const

inline

Definition at line 19805 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceFragmentShaderBarycentricFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::operator= | ( | VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV const & | rhs | ) |

inline

Definition at line 19771 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceFragmentShaderBarycentricFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::operator== | ( | PhysicalDeviceFragmentShaderBarycentricFeaturesNV const & | rhs | ) | const

inline

Definition at line 19798 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( fragmentShaderBarycentric == rhs.fragmentShaderBarycentric );
}

References fragmentShaderBarycentric, pNext, and sType.

Referenced by operator!=().

## setFragmentShaderBarycentric()

PhysicalDeviceFragmentShaderBarycentricFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::setFragmentShaderBarycentric | ( | Bool32 | fragmentShaderBarycentric_ | ) |

inline

Definition at line 19782 of file vulkan.hpp.

{
fragmentShaderBarycentric = fragmentShaderBarycentric_;
return *this;
}

References fragmentShaderBarycentric.

## setPNext()

PhysicalDeviceFragmentShaderBarycentricFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19776 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## fragmentShaderBarycentric

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::fragmentShaderBarycentric

Definition at line 19815 of file vulkan.hpp.

Referenced by operator==(), and setFragmentShaderBarycentric().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::pNext = nullptr

Definition at line 19814 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::sType = StructureType::ePhysicalDeviceFragmentShaderBarycentricFeaturesNV

private

Definition at line 19811 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::operator==
bool operator==(PhysicalDeviceFragmentShaderBarycentricFeaturesNV const &rhs) const
Definition: vulkan.hpp:19798
VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::PhysicalDeviceFragmentShaderBarycentricFeaturesNV
PhysicalDeviceFragmentShaderBarycentricFeaturesNV(Bool32 fragmentShaderBarycentric_=0)
Definition: vulkan.hpp:19761
VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:19814
VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::fragmentShaderBarycentric
Bool32 fragmentShaderBarycentric
Definition: vulkan.hpp:19815
VkPhysicalDeviceFragmentShaderBarycentricFeaturesNV
Definition: vulkan_core.h:8714
VULKAN_HPP_NAMESPACE::PhysicalDeviceFragmentShaderBarycentricFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:19811